//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Z Axis - Motor Mount w/Coupler and Thrust Bearing support (TestRun)
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
include <testrun_configuration.scad>

module motor_mount_holes()  // includes coupler pass-through!!
{
thickness = 5;   // Plate they will pass through
length = 7;		// Length of the slot
	// Motor screw holes
	translate([15.5,15.5,0])
	rotate([0,0,45])
		#cube([length,m3_hole,thickness], center = true);
	translate([-15.5,-15.5,0])
	rotate([0,0,45])
		#cube([length,m3_hole,thickness], center = true);
	translate([-15.5,15.5,0])
	rotate([0,0,-45])
		#cube([length,m3_hole,thickness], center = true);
	translate([15.5,-15.5,0])
	rotate([0,0,-45])
		#cube([length,m3_hole,thickness], center = true);
	// Motor coupler passthrough
		#cylinder(5,r=coupler_passthrough/2, center = true);
}

module thrust_bearing_cutout()  // includes motor screw access!!
{
thickness = 5;   // Plate they will pass through
m3_key = 3;     // m3_hole for hex key
	translate([15.5,15.5,0])
		#cylinder(thickness,r=m3_key, center = true);
	translate([-15.5,-15.5,0])
		#cylinder(thickness,r=m3_key, center = true);
	translate([-15.5,15.5,0])
		#cylinder(thickness,r=m3_key, center = true);
	translate([15.5,-15.5,0])
		#cylinder(thickness,r=m3_key, center = true);
	// thrust bearing recess
	translate([0,0,2])
		#cylinder(1,r=thrust_dia/2, center = true);
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
module motormountleft(){
//Main Part 
difference()
{
union()
{
	//main block
	translate([1,0,0])
		cube([57,55,47], center = true);
	//Main Ring of clip/clamp
	translate([30,0,-11.75])
		cylinder(23.5,r=10, center = true);
	//Rod Clip/Clamp
	translate([35,0,-11.75])
		cube([25,20,23.5], center = true);
}

// Main Motor Mount Subtractions...
	//motor recess
	translate([0,0,21])
		#cube([motor_base_xy,motor_base_xy,5], center = true);
	//hollow inner space
	translate([0,-2.5,-2.5])
		#cube([45,50,32], center = true);
	//motor mount stuff
	translate([0,0,16])	
		#motor_mount_holes();
	//thrust bearing & pass-throughs
	translate([0,0,-21])	
		thrust_bearing_cutout();
	//Leadscrew hole
	translate([0,0,-21])
		#cylinder(5,r=z_leadscrew_dia/2, center = true);

// Smooth Rod Clamp Subtractions...
	//smooth rod placement
	translate([30,0,0])
		cylinder(47,r=z_smooth_rod_dia/2, center = true);
	//Clamp Slit
	translate([40,0,-11.75])
		#cube([25,2,23.5], center = true);
}

}

motormountleft();
*translate(v = [-60,0,0]) mirror([1,0,0]) motormountleft();
